summaryrefslogtreecommitdiffstats
path: root/network/maildrop
diff options
context:
space:
mode:
Diffstat (limited to 'network/maildrop')
-rw-r--r--network/maildrop/README14
-rw-r--r--network/maildrop/maildrop.SlackBuild68
-rw-r--r--network/maildrop/maildrop.info12
-rw-r--r--network/maildrop/slack-desc8
4 files changed, 64 insertions, 38 deletions
diff --git a/network/maildrop/README b/network/maildrop/README
index db9f84ade7..36009fc52a 100644
--- a/network/maildrop/README
+++ b/network/maildrop/README
@@ -1,11 +1,7 @@
maildrop (mail delivery agent with filtering abilities)
-maildrop is the mail filter/mail delivery agent that's used by the
-Courier Mail Server. This is a standalone build of the maildrop mail
-filter that can be used with other mail servers.
-
-maildrop is a replacement for your local mail delivery agent. maildrop
-reads a mail message from standard input, then delivers the message to
-your mailbox. maildrop knows how to deliver mail to mbox-style
-mailboxes and maildirs. "maildir" is a mailbox format used by the
-Courier mail server and Qmail.
+maildrop is the mail filter/mail delivery agent that's used
+by the Courier Mail Server. This is a standalone build of
+the maildrop mail filter that can be used with other mail
+servers. If desired it can be used as a 'drop in' replacement
+for Procmail.
diff --git a/network/maildrop/maildrop.SlackBuild b/network/maildrop/maildrop.SlackBuild
index 2033f71711..7f4d08ce48 100644
--- a/network/maildrop/maildrop.SlackBuild
+++ b/network/maildrop/maildrop.SlackBuild
@@ -1,16 +1,37 @@
#!/bin/sh
-
+# ----------------------------------------------------------------------
# Slackware build script for maildrop
-# Written by Šime Ramov <s@ramov.com>
+#
+# Copyright 2010 - 2019 Šime Ramov <s@ramov.com>
+# Copyright 2019 - 2021 Andrew Strong, Blue Mountains, Australia.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ----------------------------------------------------------------------
PRGNAM=maildrop
-VERSION=${VERSION:-2.4.3}
+VERSION=${VERSION:-3.0.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -21,8 +42,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -43,35 +64,44 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
+
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--datadir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-dovecotauth \
+ --with-devel \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Remove empty directories
-find $PKG -depth -type d -empty -delete
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/html $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
-mv $PKG/usr/doc/$PRGNAM-$VERSION/maildrop/html $PKG/usr/doc/$PRGNAM-$VERSION/
cp -a \
- AUTHORS COPYING COPYING.GPL ChangeLog INSTALL NEWS README UPGRADE \
+ AUTHORS COPYING* ChangeLog INSTALL README README.dovecotauth UPGRADE \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/network/maildrop/maildrop.info b/network/maildrop/maildrop.info
index 7f558c7612..5becdd4664 100644
--- a/network/maildrop/maildrop.info
+++ b/network/maildrop/maildrop.info
@@ -1,10 +1,10 @@
PRGNAM="maildrop"
-VERSION="2.4.3"
+VERSION="3.0.1"
HOMEPAGE="http://www.courier-mta.org/maildrop/"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/maildrop-2.4.3.tar.bz2"
-MD5SUM="15b7528ba5e7ab76e676596af6bcd1c9"
+DOWNLOAD="https://download.sourceforge.net/courier/maildrop-3.0.1.tar.bz2"
+MD5SUM="28f6a5dfa6da4110719240696d528299"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES=""
-MAINTAINER="Šime Ramov"
-EMAIL="s@ramov.com"
+REQUIRES="courier-unicode"
+MAINTAINER="Andrew Strong"
+EMAIL="andrew.david.strong@gmail.com"
diff --git a/network/maildrop/slack-desc b/network/maildrop/slack-desc
index 1674bce5b0..9e2320b9ac 100644
--- a/network/maildrop/slack-desc
+++ b/network/maildrop/slack-desc
@@ -11,9 +11,9 @@ maildrop:
maildrop: maildrop is the mail filter/mail delivery agent that's used by the
maildrop: Courier Mail Server. This is a standalone build of the maildrop mail
maildrop: filter that can be used with other mail servers.
+maildrop: If desired it can be used as a 'drop in' replacement for Procmail.
+maildrop:
+maildrop:
+maildrop: http://www.courier-mta.org/maildrop/
maildrop:
-maildrop: maildrop is a replacement for your local mail delivery agent.
-maildrop: maildrop reads a mail message from standard input, then delivers the
-maildrop: message to your mailbox. maildrop knows how to deliver mail to
-maildrop: mbox-style mailboxes, and maildirs.
maildrop: